Subject: [bug#67896] [PATCH] gnu: ghc-9.2: Make Cabal respect GHC_PACKAGE_PATH

From: Sören Tempel <[email-masked]>
Date: Sat, 06 Jan 2024 10:09:23 +0100

If we don't want to patch the vendored Cabal version shipped by GHC
itself, we could also explore packaging Cabal separately and making
cabal-install depend on that. However, given that Setup.hs also uses
Distribution.Simple and that there are several places in Guix itself
where we need to unset GHC_PACKAGE_PATH atm, I personally believe it
to be preferable to fix the vendored version.

Lars, what do you think?

Greetings
Sören